com.sun.syndication.feed.module

## Interface Module

All Superinterfaces:
  java.lang.Cloneable, CopyFrom, java.io.Serializable

All Known Subinterfaces:
  DCModule, SyModule

All Known Implementing Classes:
  DCModuleImpl, ModuleImpl, SyModuleImpl

    public interface Module
    extends java.lang.Cloneable, CopyFrom, java.io.Serializable

Base class for modules describing Metadata of feeds. Examples of such modules are the Dublin Core and Syndication modules.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `clone()` Creates a deep clone of the object.
`java.lang.String` `getUri()` Returns the URI of the module.

### Methods inherited from interface com.sun.syndication.feed.CopyFrom

`copyFrom, getInterface`

### Method Detail

#### getUri

    java.lang.String getUri()

Returns the URI of the module.

Returns:
  URI of the module.

#### clone

    java.lang.Object clone()
                    throws java.lang.CloneNotSupportedException

Creates a deep clone of the object.

Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.